BaseFieldTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class BaseFieldTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.BaseHandlerTag
                  org.apache.struts.taglib.html.BaseInputTag
                      org.apache.struts.taglib.html.BaseFieldTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

Direct Known Subclasses:
  FileTag, HiddenTag, PasswordTag, TextTag

    public abstract class BaseFieldTag

extends BaseInputTag

Convenience base class for the various input tags for text fields.

Version:
  $Rev: 684305 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $
See Also:
  Serialized Form

Field Summary
`protected String` | `accept` Comma-delimited list of content types that a server processing this form will handle correctly.
`protected boolean` | `redisplay` The "redisplay contents" flag (used only on `password`).
`protected String` | `type` The type of input field represented by this tag (text, password, or hidden).

Fields inherited from class org.apache.struts.taglib.html.BaseInputTag
`cols, maxlength, messages, name, property, rows, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, doDisabled, doReadonly, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseFieldTag()`

Method Summary
`int` | `doStartTag()` Generate the required input tag.
`protected String` | `formatValue(Object value)` Return the given value as a formatted `String`.
`String` | `getAccept()`
`boolean` | `getRedisplay()`
`protected void` | `prepareValue(StringBuffer results)` Render the value element
`void` | `release()` Release any acquired resources.
`protected String` | `renderInputElement()` Renders a fully formed <input> element.
`void` | `setAccept(String accept)`
`void` | `setRedisplay(boolean redisplay)`

Methods inherited from class org.apache.struts.taglib.html.BaseInputTag
`doEndTag, getAutocomplete, getCols, getMaxlength, getName, getProperty, getRows, getSize, getValue, prepareName, setAutocomplete, setCols, setMaxlength, setName, setProperty, setRows, setSize, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDir, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLang, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareInternationalization, prepareKeyEvents, prepareMouseEvents, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDir, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLang, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### accept

    protected String accept

  Comma-delimited list of content types that a server processing this form will handle correctly. This property is defined only for the `file` tag, but is implemented here because it affects the rendered HTML of the corresponding <input> tag.

### redisplay

    protected boolean redisplay

  The "redisplay contents" flag (used only on `password`).

### type

    protected String type

  The type of input field represented by this tag (text, password, or hidden).

Constructor Detail

### BaseFieldTag

    public BaseFieldTag()

Method Detail

### getAccept

    public String getAccept()

### setAccept

    public void setAccept(String accept)

### getRedisplay

    public boolean getRedisplay()

### setRedisplay

    public void setRedisplay(boolean redisplay)

### doStartTag

    public int doStartTag()
                   throws JspException

  Generate the required input tag.

  Support for indexed property since Struts 1.1

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BaseInputTag`
  Throws:
    `JspException` - if a JSP exception has occurred

### renderInputElement

    protected String renderInputElement()
                                 throws JspException

  Renders a fully formed <input> element.

  Throws:
    `JspException`
  Since:
    Struts 1.2

### prepareValue

    protected void prepareValue(StringBuffer results)
                         throws JspException

  Render the value element

  Parameters:
    `results` - The StringBuffer that output will be appended to.
  Throws:
    `JspException`

### formatValue

    protected String formatValue(Object value)
                          throws JspException

  Return the given value as a formatted `String`. This implementation escapes potentially harmful HTML characters.

  Parameters:
    `value` - The value to be formatted. `null` values will be returned as the empty String "".
  Throws:
    `JspException` - if a JSP exception has occurred
  Since:
    Struts 1.2

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BaseInputTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.